Протокол по теме 2 Мамакин Ярослав Романович
f1=16
f2=3
dir()
dir(f1)
type(f2)
del f1,f2
gg1=1.6
hh1='Строка'
kluch = keyword.kwlist
print(max([len('stroka'), abs(min([-4, -5]))]))
Gg1=45
gg1,Gg1
(1.6, 45)
bb1=True
type(bb1)
ii1=-1234567890
type(ii1)
dv1=0b1101010
type(dv1)
cc2=complex(3.67,-0.45)
type(cc2)
ss1a='Это - \'строка символов \', \n \t выводимая на двух строках'
print(ss1a)
Это - 'строка символов ', 
 	 выводимая на двух строках
ss1b = 'Меня зовут: \n Мамакин Я. Р.'
print(ss1b)
Меня зовут: 
 Мамакин Я. Р.
ss1='Это - строка символов'
print(ss1[17:3:-2])
омсаот 
print(ss1[-4:3:-2])
омсаот 
ss1[4]='='
Traceback (most recent call last):
  File "<pyshell#41>", line 1, in <module>
    ss1[4]='='
TypeError: 'str' object does not support item assignment
ss1=ss1[:4]+'='+ss1[5:]
print(ss1)
Это = строка символов
print(ss1b[22:24]+ss1b[14:21]+ss1b[-1])
Я.Мамакин.
spis1=[111,'Spisok',5-9j]
stup=[0,0,1,1,1,1,1,1,1]
spis1[1]='Список'
spis1
[111, 'Список', (5-9j)]
len(spis1)
3
spis1.append('New item')
spis1.append(ss1b)
spis1
[111, 'Список', (5-9j), 'New item', 'Меня зовут: \n Мамакин Я. Р.']
spis1.pop(1)
'Список'
stup.remove(1)
stup.reverse()
stup
[1, 1, 1, 1, 1, 1, 0, 0]
spis2=[spis1,[4,5,6,7]]
spis2[0][1]=78
spis1
[111, 78, 'New item', 'Меня зовут: \n Мамакин Я. Р.']
spis3=[56, 'sem-vosem', False, [7, 8]]
stup[-8::2]
[1, 1, 1, 0]
kort1=(222,'Kortezh',77+8j)
kort1= kort1+(1,2)
kort2=kort1[:2]+kort1[3:]
kort1.index(2)
4
kort1.count(222)
1
kort1[2]=90
Traceback (most recent call last):
  File "<pyshell#67>", line 1, in <module>
    kort1[2]=90
TypeError: 'tuple' object does not support item assignment
kort3=('7-8', 'pyat-shest', (7, 8))
kort3
('7-8', 'pyat-shest', (7, 8))
dic1={'Saratov':145, 'Orel':56, 'Vologda':45}
dic1['Orel']
56
dic1['Pskov']=78
dic1
{'Saratov': 145, 'Orel': 56, 'Vologda': 45, 'Pskov': 78}
sorted(dic1.keys())
['Orel', 'Pskov', 'Saratov', 'Vologda']
sorted(dic1.values())
[45, 56, 78, 145]
dic2={1:'mean',2:'standart deviation',3:'correlation'}
dic3={'statistics':dic2,'POAS':['base','elementary','programming']}
dic3['statistics'][2]
'standart deviation'
dic4=dict([(1,['A','B','C']),(2,[4,5]),('Q','Prim'),('Stroka',ss1b)])
dic5=dict(zip(['A','B','C','Stroka'],[16,-3,9,ss1b]))
kortn=(7,8,9,10,11,12,13)
listn=['sem', 'vosem', 'devyat', 'desyat', 'odinnadsat']
dic6=dict(zip(kortn,listn))
dic6
{7: 'sem', 8: 'vosem', 9: 'devyat', 10: 'desyat', 11: 'odinnadsat'}
mnoz1={'двигатель','датчик','линия связи','датчик','микропроцессор','двигатель'}
len(mnoz1)
4
'датчик' in mnoz1
True
mnoz1.add('реле')
mnoz1.remove('линия связи')
mno={7, '8', [5, 6]}
Traceback (most recent call last):
  File "<pyshell#90>", line 1, in <module>
    mno={7, '8', [5, 6]}
TypeError: unhashable type: 'list'
mno={7, '8'}
mno.add(7)
mno
{'8', 7}

